array_unique
array_values
Array Functions
PHP Manual

# array_unshift

(PHP 4, PHP 5)

array_unshift — Prepend one or more elements to the beginning of an array

### Description

int array_unshift ( array `&$array` , mixed `$var` [, mixed `$...` ] )

array_unshift() prepends passed elements to the front of the `array` . Note that the list of elements is prepended as a whole, so that the prepended elements stay in the same order. All numerical array keys will be modified to start counting from zero while literal keys won't be touched.

### Parameters

`array`

  The input array.

`var`

  The prepended variable.

### Return Values

Returns the new number of elements in the `array` .

### Examples

Example #1 array_unshift() example

`<?php
$queue = array("orange", "banana");
array_unshift($queue, "apple", "raspberry");
print_r($queue);
?>`

The above example will output:

    Array
    (
        [0] => apple
        [1] => raspberry
        [2] => orange
        [3] => banana
    )

### See Also

- array_shift()
- array_push()
- array_pop()

array_unique
array_values
Array Functions
PHP Manual